#-*- coding:utf-8 -*-

from odoo import api, fields, models, _
from odoo.exceptions import UserError


class HrPayslipRun(models.Model):
    _inherit = 'hr.payslip.run'

    def action_export_monizze(self):
        self.ensure_one()
        struct_type_cp200 = self.env.ref('hr_contract.structure_type_employee_cp200')
        invalid_employees = self.slip_ids.filtered(lambda p: p.struct_id.type_id == struct_type_cp200).employee_id.filtered(
            lambda e: not e.identification_id)
        if invalid_employees:
            raise UserError(_('No NISS for the following employees:\n%s', '\n'.join([e.name for e in invalid_employees])))
        return {
            'name': 'Export Meal Vouchers',
            'type': 'ir.actions.act_url',
            'url': '/export/monizze/%s' % (self.id),
        }
